import QtQuick 2
import QtQuick.Controls 1
import QtQuick.Dialogs 1.1

// Configuration summary Page
Rectangle {
    LayoutMirroring.enabled: (direction == "LTR" ? false : true)
    LayoutMirroring.childrenInherit: true
    Version {id:version}
    property var title: qsTr("Your configuration")
    width: view.width; height: view.height
    Loader { sourceComponent: slidebackground ;
        anchors.fill: parent}

    Column {
        Rectangle{
            height: 50
            width:1
            color:"transparent"
        }
        ListView {
            id: confList
            width: view.width
            height: view.height -150
            spacing: 3
            model: ConfList
            delegate: Row {
                width: view.width
                Label {
                    text: name
                    leftPadding: 50
                    rightPadding: 50
                    textFormat: Text.RichText
                    color: "white"
                }
            }
        }
        MButton {
            anchors.horizontalCenter: parent.horizontalCenter
            objectName: "launch"
            onMbuttonClicked: { about.open() }
            buttonText: qsTr("About")
        }
        MessageDialog {
            id: about
            title: qsTr("About Mageiawelcome")
            //: %1 will be replaced with the release number, %2 with author's names
            text: qsTr("Release %1<br />Authors : %2").arg(version.version).arg("Daniel Napora, Papoteur, Antony Baker<br />")
            //: replace with the list of translator's names
            detailedText: qsTr("Translators: English is the source language")
            standardButtons: StandardButton.Close
        }
    }
}
