import QtQuick 2
import QtQuick.Controls 1

// Install software page
Rectangle {
    property var title: qsTr("Install software")
    width: view.width; height: view.height
    Loader { sourceComponent: slidebackground ;
        anchors.fill: parent}
    Column {
        spacing: 10
        Label {
            text: qsTr("Install and remove software")
            width: slideshow.width
            topPadding: 30; leftPadding: 20;
            padding: 10
            font.bold: true
            wrapMode: Text.WordWrap
            color: "white"
        }
        Label {
            text: qsTr("With Mageia, you will find the software in the media repositories. Mageia users simply access these media via one of the Software Managers.");
            width: slideshow.width
            padding: 20
            wrapMode: Text.WordWrap
            textFormat: Text.RichText
            color: "white"
        }
        MButton {
            anchors.left: parent.left; anchors.leftMargin: 20;
            width: slideshow.width * .35
            objectName: "launch"
            onMbuttonClicked: { launch.command(["rpmdrake",])}
            buttonText: qsTr("RPMdrake")+" *"
        }
        MButton {
            anchors.left: parent.left; anchors.leftMargin: 20;
            width: slideshow.width * .35
            objectName: "launch"
            onMbuttonClicked: { launch.command(["dnfdragora",])}
            buttonText: qsTr("Dnfdragora")
        }
        Label {
            text: (user == 'live' ? "": qsTr("The next slide shows a small selection of popular applications - any of which may be installed at this point.<BR/>"));
            width: slideshow.width
            padding: 20
            wrapMode: Text.WordWrap
            textFormat: Text.RichText
            color: "white"
        }
        Label {
            text: (user == 'live' ? qsTr("You can find a detailed list here:") : qsTr("You can find a more detailed list here:"));
            width: slideshow.width
            padding: 20
            wrapMode: Text.WordWrap
            textFormat: Text.RichText
            color: "white"
        }
        MButton {
            anchors.left: parent.left; anchors.leftMargin: 20
            width: slideshow.width * .35
            objectName: "link"
            //: Translate only if the link is to a specific page for your language
            onMbuttonClicked: { link.weblink(qsTr("https://wiki.mageia.org/en/List_of_applications"))}
            buttonText: qsTr("List of applications (wiki)")
        }
    }
    Label {
        anchors {top: parent.bottom; topMargin: 3; horizontalCenter: parent.left; horizontalCenterOffset: parent.width * .4 }
        text: qsTr("(*) Administrator password is needed")
        wrapMode: Text.WordWrap
        font.italic: true
        color: "white"
    }
}
