import QtQuick 2
import QtQuick.Controls 1
import QtQuick.Controls.Styles 1

// Links page
Rectangle {
    property var title: qsTr("More information")
    width: view.width; height: view.height
    Loader { sourceComponent: slidebackground ;
        anchors.fill: parent}
    Column {
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.verticalCenter:  parent.verticalCenter
        Grid {
            columns: 3
            spacing: view.width * .03
            Label {
                horizontalAlignment: TextInput.AlignHCenter
                width: view.width * .2
                text: qsTr("Documentation")
                wrapMode: Text.WordWrap
                font.bold: true
                color: "white"
            }
            Label {
                horizontalAlignment: TextInput.AlignHCenter
                width: view.width * .2
                text: qsTr("Support")
                wrapMode: Text.WordWrap
                font.bold: true
                color: "white"
            }
            Label {
                horizontalAlignment: TextInput.AlignHCenter
                width: view.width * .2
                text: qsTr("Community")
                wrapMode: Text.WordWrap
                font.bold: true
                color: "white"
            }
            Repeater{
                model: [{'name': qsTr("Release notes"), 'url':
                        //: Translate only if the link is to a specific page for your language
                            qsTr("https://wiki.mageia.org/en/Mageia_8_Release_Notes")},
                            {'name': qsTr("Forums"),'url':
                        //: Translate only if the link is to a specific page for your language
                            qsTr("https://forums.mageia.org/en/")},
                            {'name': qsTr("Community Center"),'url': "https://www.mageia.org/community/"},
                            {'name': qsTr("Errata"), 'url':
                        //: Translate only if the link is to a specific page for your language
                        qsTr("https://wiki.mageia.org/en/Mageia_8_Errata")},
                            {'name': qsTr("Wiki"), 'url':
                        //: Translate only if the link is to a specific page for your language
                        qsTr("https://wiki.mageia.org/en/Documentation")},
                            {'name': qsTr("Contribute"),'url': "https://www.mageia.org/contribute/"},
                            {'name': qsTr("Newcomers Howto"),'url':
                        //: Translate only if the link is to a specific page for your language
                        qsTr("https://wiki.mageia.org/en/Newcomers_start_here")},
                            {'name': qsTr("Chat Room"),
                        //: Translate only if the link is to a specific page for your language
                        'url': qsTr("ircs://irc.libera.chat:6697/#mageia")},
                            {'name': qsTr("Donations"),'url': "https://www.mageia.org/donate/"},
                            {'name': qsTr("Documentation"),'url': "https://www.mageia.org/doc/"},
                            {'name': qsTr("Bugs tracker"),'url': "https://bugs.mageia.org/"},
                            {'name': qsTr("Join us!"),'url': "https://identity.mageia.org/"}]
                delegate: Button {
                        width: view.width * .2
                        objectName: "link"
                        onClicked: { link.weblink(modelData.url)}
                        style: ButtonStyle {
                            label: Label {
                                text: modelData.name
                                horizontalAlignment: TextInput.AlignHCenter
                                color: "black"
                                width: parent.width
                                wrapMode: Text.WordWrap }
                            background: Rectangle {
                                color: "lightgrey"
                                radius: 5
                            }
                        }
                    }
            }
            }
        }
    }
