import QtQuick 2
import QtQuick.Controls 1

Rectangle {
    property var title: qsTr("Live mode")
    width: view.width; height: view.height
    Loader { sourceComponent: slidebackground ;
        anchors.fill: parent
    }
    Column {
        anchors.centerIn: parent
        spacing: 10

        Label {
            anchors.horizontalCenter:  parent.horizontalCenter
            horizontalAlignment: TextInput.AlignHCenter
            text: qsTr("Live mode")
            font.weight: Font.DemiBold
            font.pixelSize: Qt.application.font.pixelSize * 1.5
            color: "white"
        }
        Label {
            anchors.horizontalCenter:  parent.horizontalCenter
            horizontalAlignment: TextInput.AlignHCenter
            width: slideshow.width
            text:qsTr('This mode allows you to try out Mageia without having to actually install it, or make any changes to your computer. However, the Live media also includes an Installer, which can be started when booting the media, or after booting into Live mode, like now.')
            wrapMode: Text.WordWrap;textFormat: Text.RichText
            padding: 20
            color: "white"
        }
        Label {
            anchors.horizontalCenter:  parent.horizontalCenter
            horizontalAlignment: TextInput.AlignHCenter
            width: slideshow.width
            text:qsTr("Any customization, including installation of additional software, will only survive until you reboot the system, unless you have added a persistence partition.")
            wrapMode: Text.WordWrap;textFormat: Text.RichText
            padding: 20
            color: "white"
        }
        MButton {
            anchors.horizontalCenter:  parent.horizontalCenter
            objectName: "link"
            //: the link to the local file can be adapted to your language if the documentation is translated
            onMbuttonClicked: { link.weblink(qsTr("file:///usr/share/doc/mageia/en/draklive/index.html"))}
            buttonText: qsTr("Installer documentation")
        }
    }
}
