import QtQuick 2
import QtQuick.Controls 1

// MCC Page
Rectangle {
    //: The button in the buttons bar, shortcut for Mageia Control Center
    property var title: qsTr("MCC")
    width: view.width; height: view.height
    Loader { sourceComponent: slidebackground ;
        anchors.fill: parent}

    Column {
        x: 10; y: 30
        spacing: 10
            Label {
                text: qsTr("<b>Mageia Control Center</b> (aka drakconf) is a set of tools to help you configure your system.")
                width: view.width * 0.9
                padding: 10
                wrapMode: Text.WordWrap
                textFormat: Text.RichText
                color: "white"
            }
            Label {
                padding: 5
                anchors.horizontalCenter: parent.horizontalCenter
                text: "• " + qsTr("Software Management")+"\n• "
                + qsTr("Hardware")+"\n• "
                + qsTr("Network and Internet")+"\n• "
                + qsTr("System")+"\n• "
                + qsTr("Network Sharing")+"\n• "
                + qsTr("Local Disks")+"\n• "
                + qsTr("Security")+"\n• "
                + qsTr("Boot");
                wrapMode: Text.WordWrap;
                color: "white"
            }

            MButton {
                anchors.horizontalCenter:  parent.horizontalCenter
                objectName: "launch"
                onMbuttonClicked: { launch.command(["drakconf",])}
                buttonText: qsTr("Mageia Control Center")+" *"
            }
            MButton {
                anchors.horizontalCenter:  parent.horizontalCenter
                objectName: "link"
                onMbuttonClicked: { link.weblink("https://www.mageia.org/doc")}
                buttonText: qsTr("MCC documentation")
            }
        }
        Label {
        anchors {top: parent.bottom; topMargin: 3; horizontalCenter: parent.left; horizontalCenterOffset: parent.width * .4 }
        text: qsTr("(*) Administrator password is needed")
        wrapMode: Text.WordWrap
        font.italic: true
        color: "white"
        }
}
