import QtQuick 2
import QtQuick.Controls 1

// Update page
Rectangle {
    property var title: qsTr("Update")
    LayoutMirroring.enabled: (direction == "LTR" ? false : true)
    LayoutMirroring.childrenInherit: true
    width: view.width; height: view.height
    Loader { sourceComponent: slidebackground ;
        anchors.fill: parent}
    Column {
        spacing: 10
        Row {
                width: view.width
            Label { text: qsTr("How Mageia manages updates"); font.bold: true;
                padding: 40
                color: "white"}
        }
        Row {
            width: view.width
            Label {
                width: view.width
                padding: 40
                text: qsTr("Mageia provides software which may be updated in order to fix bugs or security issues. It is highly recommended that you update your system regularly. \
An Update icon will appear in your task bar when new updates are available. To run the updates, just click on the icon below and give your user password - or use the Software Manager (root password). \
This is a background process and you will be able to use your computer normally during the updates.");
                wrapMode: Text.WordWrap
                color: "white"
            }
        }

        MButton {
            anchors.horizontalCenter:  parent.horizontalCenter
            objectName: "launch"
            onMbuttonClicked: { launch.command(["drakrpm-update",])}
            buttonText: qsTr("Check system updates")+" *"
        }
        MButton {
            anchors.horizontalCenter:  parent.horizontalCenter
            objectName: "link"
            //: (en) indicates that the content of the link is in English
            onMbuttonClicked: { link.weblink("https://advisories.mageia.org/")}
            buttonText: qsTr("Advisories of updates (en)")
        }

    }
    Label {
        anchors {top: parent.bottom; topMargin: 3; horizontalCenter: parent.left; horizontalCenterOffset: parent.width * .4  }
        text: qsTr("(*) User password is needed")
        wrapMode: Text.WordWrap
        font.italic: true
        color: "white"
    }
}
