import QtQuick 2
import QtQuick.Controls 1

        Rectangle {
            //: the button in buttons bar
            property var title: qsTr("Welcome")
            width: view.width; height: view.height
            Loader { sourceComponent: slidebackground ;
                anchors.fill: parent}
            Column {
                anchors.centerIn: parent
                anchors.verticalCenter:  parent.verticalCenter

                Label {
                    //: the %1 will be replaced with the user name
                    anchors.horizontalCenter:  parent.horizontalCenter
                    horizontalAlignment: TextInput.AlignHCenter
                    text: (user == 'live' ?  qsTr("Welcome to Mageia") : qsTr("Welcome to Mageia, %1").arg(user)+'\n')
                    font.weight: Font.DemiBold
                    font.pixelSize: Qt.application.font.pixelSize * 1.5
                    color: "white"
                }

                Label {
                    horizontalAlignment: TextInput.AlignHCenter
                    anchors.horizontalCenter:  parent.horizontalCenter
                    width: slideshow.width * .6
                    text: (user == 'live' ? 
                    qsTr("We are going to guide you through a few important pieces of information and<BR />help you to go further with Mageia.<BR /><BR />Now, click on <i> %1 </i> to go to the first step.").arg(qsTr("Live mode")) :
                    qsTr("We are going to guide you through some important steps and help<BR />you with the configuration of your newly installed system.<BR /><BR />Now, click on <i>%1</i> to go to the first step.").arg(qsTr("Media sources")));
                    wrapMode: Text.WordWrap
                    textFormat: Text.RichText
                    color: "white"
                }
            }
        }
